Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.classfile
Class ConstantInterfaceMethodref

    java.lang.Object
      org.apache.bcel.classfile.Constant
          org.apache.bcel.classfile.ConstantCP
              org.apache.bcel.classfile.ConstantInterfaceMethodref

All Implemented Interfaces:
  Serializable, Cloneable, Node

    public final class ConstantInterfaceMethodref

extends ConstantCP

This class represents a constant pool reference to an interface method.

Version:
  $Id: ConstantInterfaceMethodref.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.classfile.ConstantCP
`class_index, name_and_type_index`

Fields inherited from class org.apache.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantInterfaceMethodref(ConstantInterfaceMethodref c)` Initialize from another object.
`ConstantInterfaceMethodref(int class_index, int name_and_type_index)`

Method Summary
`void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.

Methods inherited from class org.apache.bcel.classfile.ConstantCP
`dump, getClass, getClassIndex, getNameAndTypeIndex, setClassIndex, setNameAndTypeIndex, toString`

Methods inherited from class org.apache.bcel.classfile.Constant
`clone, copy, equals, getComparator, getTag, hashCode, setComparator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantInterfaceMethodref

    public ConstantInterfaceMethodref(ConstantInterfaceMethodref c)

  Initialize from another object.

### ConstantInterfaceMethodref

    public ConstantInterfaceMethodref(int class_index,
                                      int name_and_type_index)

Parameters:
  `class_index` - Reference to the class containing the method
  `name_and_type_index` - and the method signature

Method Detail

### accept

    public void accept(Visitor v)

  Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.

  Specified by:
    `accept` in interface `Node`
  Specified by:
    `accept` in class `Constant`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.